package cn.soul2.demo.controller;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.service.IDemoService;
import cn.soul2.demo.vo.DemoVO;
import cn.soul2.demo.vo.base.Back;
import cn.soul2.demo.vo.base.VPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Soul2
 * @date 2022-08-15
 */

//@Slf4j
@RestController
@RequestMapping("/demo")
public class DemoController {

    @Autowired
    private IDemoService demoService;

    @PostMapping("/page")
    public Back<VPage<DemoVO>> page(@RequestBody DemoDTO dto) {
        return demoService.page(dto);
    }

    @PostMapping("/save")
    public Back<Boolean> save(@RequestBody DemoSaveOrUpdateDTO entity) {
        return demoService.save(entity);
    }

    @PostMapping("/remove")
    public Back<Boolean> remove(@RequestBody List<String> ids) {
        return demoService.remove(ids);
    }

}
