package cn.soul2.demo.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * demo表
 * </p>
 *
 * @author Soul2
 * @since 2022-08-23 14:32:09
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("data_table_demo")
public class DataTableDemoDO extends Model<DataTableDemoDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 名字
     */
    @TableField("name")
    private String name;

    /**
     * 属性1
     */
    @TableField("attr1")
    private String attr1;

    /**
     * 属性2
     */
    @TableField("attr2")
    private String attr2;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedTime;

    /**
     * 创建时间
     */
    @TableField(value = "created_time", fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    /**
     * 删除标识: 0-存在; 1-删除
     */
    @TableField("removed")
    @TableLogic
    private Integer removed;


    @Override
    public Serializable pkVal() {
        return this.id;
    }

}
