package cn.soul2.demo.repository;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.entity.DataTableDemoDO;
import cn.soul2.demo.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;

/**
 * <p>
 * demo表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2022-08-15 14:14:23
 */
public interface IDataTableDemoRepository extends IService<DataTableDemoDO> {

    /**
     * 分页查询
     *
     * @param dto dto
     * @return {@link VPage}<{@link DataTableDemoDO}>
     */
    VPage<DataTableDemoDO> page(DemoDTO dto);

    /**
     * 保存或更新(根据是否有id)
     *
     * @param entity 实体
     * @return {@link Boolean}
     */
    Boolean save(DemoSaveOrUpdateDTO entity);

    /**
     * 删除
     *
     * @param ids id
     * @return {@link Boolean}
     */
    Boolean remove(Collection<String> ids);

}
