package cn.soul2.demo.service;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.vo.DemoVO;
import cn.soul2.demo.vo.base.Back;
import cn.soul2.demo.vo.base.VPage;

import java.util.Collection;

/**
 * @author Soul2
 * @date 2022-08-22
 */

public interface IDemoService {

    /**
     * 分页查询
     *
     * @param dto dto
     * @return {@link Back}<{@link VPage}<{@link DemoVO}>>
     */
    Back<VPage<DemoVO>> page(DemoDTO dto);

    /**
     * 保存或更新
     *
     * @param entity 实体
     * @return {@link Back}<{@link Boolean}>
     */
    Back<Boolean> save(DemoSaveOrUpdateDTO entity);

    /**
     * 删除
     *
     * @param ids id
     * @return {@link Back}<{@link Boolean}>
     */
    Back<Boolean> remove(Collection<String> ids);

}
