package cn.soul2.demo.service.impl;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.entity.DataTableDemoDO;
import cn.soul2.demo.repository.IDataTableDemoRepository;
import cn.soul2.demo.service.IDemoService;
import cn.soul2.demo.utils.base.BackUtils;
import cn.soul2.demo.utils.base.PageUtils;
import cn.soul2.demo.vo.DemoVO;
import cn.soul2.demo.vo.base.Back;
import cn.soul2.demo.vo.base.VPage;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.stream.Collectors;

/**
 * @author Soul2
 * @date 2022-08-22
 */

@Service
public class DemoServiceImpl implements IDemoService {

    @Autowired
    private IDataTableDemoRepository demoRepository;

    @Override
    public Back<VPage<DemoVO>> page(DemoDTO dto) {
        VPage<DataTableDemoDO> page = demoRepository.page(dto);
        VPage<DemoVO> toPage = PageUtils.to(page, page.getRows().stream().map(data -> {
            DemoVO vo = new DemoVO();
            BeanUtils.copyProperties(data, vo);
            return vo;
        }).collect(Collectors.toList()));
        return BackUtils.success(toPage);
    }

    @Override
    public Back<Boolean> save(DemoSaveOrUpdateDTO entity) {
        return BackUtils.success(demoRepository.save(entity));
    }

    @Override
    public Back<Boolean> remove(Collection<String> ids) {
        return BackUtils.success(demoRepository.remove(ids));
    }
}
