package cn.soul2.demo.utils.base;

import cn.soul2.demo.codemessage.BackCodeMessage;
import cn.soul2.demo.vo.base.Back;

/**
 * @author Soul2
 * @date 2022-08-22
 */

public class BackUtils {

    public static <T> Back<T> success() {
        return new Back<>(BackCodeMessage.SUCCESS);
    }

    public static <T> Back<T> success(T data) {
        return new Back<>(BackCodeMessage.SUCCESS, data);
    }

    public static <T> Back<T> success(T data, String message) {
        return new Back<>(BackCodeMessage.SUCCESS, data).setMessage(message);
    }

    public static <T> Back<T> fail() {
        return new Back<>(BackCodeMessage.FAIL);
    }

    public static <T> Back<T> fail(String errorMessage) {
        return new Back<T>(BackCodeMessage.FAIL).setErrorMessage(errorMessage);
    }

    public static <T> Back<T> fail(BackCodeMessage backCodeMessage) {
        return new Back<>(backCodeMessage);
    }

    public static <T> Back<T> fail(BackCodeMessage backCodeMessage, String errorMessage) {
        return new Back<T>(backCodeMessage).setErrorMessage(errorMessage);
    }


}
