package cn.soul2.demo.vo.base;

import cn.soul2.demo.codemessage.BackCodeMessage;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author Soul2
 * @date 2022-08-22
 */

@Data
@Accessors(chain = true)
public class Back<T> {

    private Integer code;
    private String message;
    private String errorMessage;
    private T data;

    public Back() {
    }

    public Back(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Back(Integer code, String message, T data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public Back(BackCodeMessage backCodeMessage) {
        this.code = backCodeMessage.getCode();
        this.message = backCodeMessage.getMessage();
    }

    public Back(BackCodeMessage backCodeMessage, T data) {
        this.code = backCodeMessage.getCode();
        this.message = backCodeMessage.getMessage();
        this.data = data;
    }

}
